part of tecfy_core_client_package;

class TecfyMenuItem extends BaseModel {
  /// title string
  @required
  String title;

  /// menu sort field
  @required
  int orderId;

  @required
  String code;

  Function(BuildContext)? onClick;
  List<TecfyMenuItem>? subMenuItems;
  String? titleEn;

  TecfyMenuItem(
      {required this.title,
      this.titleEn,
      required this.orderId,
      required this.code,
      this.onClick,
      this.subMenuItems});

  @override
  String get displayName => title;

  @override
  String get idValue => title;

  Map<String, dynamic> toJson() {
    return {
      'title': title,
      'titleEn': titleEn,
      'orderId': orderId,
      'code': code,
      'subMenuItems': subMenuItems.toString(),
    };
  }
}
